import Action from '@overflow/commons/redux/Action';
import AsyncRequestSendingPayload from '../payload/AsyncRequestSendingPayload';

// Action Type
export type SENDING = '@overflow/app/async/SENDING';
export const SENDING: SENDING = '@overflow/app/async/SENDING';

// Action Creater
export type sending = (complete: boolean) => Action<AsyncRequestSendingPayload>;

export const sending: sending = (complete: boolean): Action<AsyncRequestSendingPayload> => {
  return {
      type: SENDING,
      payload: {
        complete: complete,
      },
    };
};
