import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import TargetListContainer from '@overflow/target/react/TargetList';

class TargetList extends React.Component<RouteComponentProps<object>, object> {

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
        <TargetListContainer params={this.props.match.params}/>
    );
  }
}


export default TargetList;
