import * as React from 'react';
import { RouteComponentProps, RouteProps, Route, Switch } from 'react-router-dom';

import Error404 from '../error/Error404';

export interface Props extends RouteComponentProps<any> {
}
export interface State {
}

class ErrorLayout extends React.Component<Props, State> {

  public constructor(props?: Props, context?: State) {
    super(props, context);

  }

  public render(): JSX.Element {
    return (
        <Switch>
          <Route path={`${this.props.match.url}/404`} component={Error404}/>
        </Switch>
    );
  }

}


export default ErrorLayout;
