import { connect, Dispatch } from 'react-redux';
import {
  DiscoveryTree,
  DiscoveryTreeStateProps,
  DiscoveryTreeDispatchProps,
} from './components/DiscoveryTree';



import Host from '@overflow/discovery/api/model/Host';
import Probe from '@overflow/probe/api/model/Probe';

import * as InfraTargetRegistAllActionTypes from '../redux/action/infra_target_regist_all';
import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';

export function mapStateToProps(state: any, props: any): DiscoveryTreeStateProps {
  return {
    probeId: props.probeId,
    onSetTargetList: props.onSetTargetList,
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): DiscoveryTreeDispatchProps {
  return {

  };
}

export default connect(mapStateToProps, mapDispatchToProps)(DiscoveryTree);
