import { connect, Dispatch } from 'react-redux';
import {
  PWConfirm,
  StateProps as PWConfirmStateProps,
  DispatchProps as PWConfirmDispatchProps,
  Props as PWConfirmProps,
} from './components/PWConfirm';
import PWConfirmState from '../redux/state/PWConfirm';

import * as PWConfirmActions from '../redux/action/pw_confirm';
import { push as routerPush } from 'react-router-redux';
import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';
export function mapStateToProps(state: any): PWConfirmStateProps {
  return {

  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): PWConfirmDispatchProps {
  return {
    // Todo SessionId put
    onConfirmPassword: (pass: string) => {
      dispatch(asyncRequestActions.request('MemberService', 'signin', PWConfirmActions.REQUEST, 'overflow@loafle.com', pass));
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(PWConfirm);
