/**
 * Created by geek on 17. 7. 3.
 */

import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';


import * as CrawlerReadAllByTargetActions from '../action/crawler_read_all_by_target';
import CrawlerReadAllByTargetState, { defaultState as CrawlerReadAllByTargetDefaultState } from '../state/CrawlerReadAllByTarget';

import MetaCrawler from '../../api/model/MetaCrawler';

const reducer: ReducersMapObject = {
  [CrawlerReadAllByTargetActions.REQUEST_SUCCESS]:
  (state: CrawlerReadAllByTargetState = CrawlerReadAllByTargetDefaultState, action: Action<MetaCrawler[]>): CrawlerReadAllByTargetState => {
    console.log(action);
    return {
      ...state,
      MetaCrawlerList:<MetaCrawler[]>action.payload,
    };
  },
  [CrawlerReadAllByTargetActions.REQUEST_FAILURE]:
  (state: CrawlerReadAllByTargetState = CrawlerReadAllByTargetDefaultState, action: Action<Error>): CrawlerReadAllByTargetState => {
    return state;
  },
};

export default reducer;
