import Action from '@overflow/commons/redux/Action';
import SensorItem from '../../api/model/SensorItem';
import Sensor from '../../api/model/Sensor';
import ItemReadAllBySensorPayload from '../payload/ItemReadAllBySensorPayload';

// Action Type
export type REQUEST = '@overflow/sensor_item/item_read_all_by_sensor/REQUEST';
export type REQUEST_SUCCESS = '@overflow/sensor_item/item_read_all_by_sensor/REQUEST/SUCCESS';
export type REQUEST_FAILURE = '@overflow/sensor_item/item_read_all_by_sensor/REQUEST/FAILURE';

export const REQUEST: REQUEST = '@overflow/sensor_item/item_read_all_by_sensor/REQUEST';
export const REQUEST_SUCCESS: REQUEST_SUCCESS = '@overflow/sensor_item/item_read_all_by_sensor/REQUEST/SUCCESS';
export const REQUEST_FAILURE: REQUEST_FAILURE = '@overflow/sensor_item/item_read_all_by_sensor/REQUEST/FAILURE';

// Action Creater
// export type request = (sensor: Sensor) => Action<ItemReadAllBySensorPayload>;
// export type requestSuccess = (sensorItems: SensorItem[]) => Action<SensorItem[]>;
// export type requestFailure = (error: Error) => Action;



// export const request: request = (sensor: Sensor): Action<ItemReadAllBySensorPayload> => {
//   return {
//     type: REQUEST,
//     payload: {
//       sensor: sensor,
//     },
//   };
// };

// export const requestSuccess: requestSuccess = (sensorItems: SensorItem[]): Action<SensorItem[]> => {
//   return {
//     type: REQUEST_SUCCESS,
//     payload: sensorItems,
//   };
// };

// export const requestFailure: requestFailure = (error: Error): Action => {
//   return {
//     type: REQUEST_FAILURE,
//     error: error,
//   };
// };
