import Action from '@overflow/commons/redux/Action';
import Sensor from '../../api/model/Sensor';
import ReadPayload from '../payload/ReadPayload';

// Action Type
export type REQUEST = '@overflow/sensor/read/REQUEST';
export type REQUEST_SUCCESS = '@overflow/sensor/read/REQUEST/SUCCESS';
export type REQUEST_FAILURE = '@overflow/sensor/read/REQUEST/FAILURE';

export const REQUEST: REQUEST = '@overflow/sensor/read/REQUEST';
export const REQUEST_SUCCESS: REQUEST_SUCCESS = '@overflow/sensor/read/REQUEST/SUCCESS';
export const REQUEST_FAILURE: REQUEST_FAILURE = '@overflow/sensor/read/REQUEST/FAILURE';

// Action Creater
// export type request = (id: number) => Action<ReadPayload>;
// export type requestSuccess = (sensor: Sensor) => Action<Sensor>;
// export type requestFailure = (error: Error) => Action;



// export const request: request = (id: number): Action<ReadPayload> => {
//   return {
//     type: REQUEST,
//     payload: {
//       id: id,
//     },
//   };
// };

// export const requestSuccess: requestSuccess = (sensor: Sensor): Action<Sensor> => {
//   return {
//     type: REQUEST_SUCCESS,
//     payload: sensor,
//   };
// };

// export const requestFailure: requestFailure = (error: Error): Action => {
//   return {
//     type: REQUEST_FAILURE,
//     error: error,
//   };
// };
