import Action from '@overflow/commons/redux/Action';
import Sensor from '../../api/model/Sensor';
import ReadAllByTargetPayload from '../payload/ReadAllByTargetPayload';
import Target from '@overflow/target/api/model/Target';

// Action Type
export type REQUEST = '@overflow/sensor/read_all_by_target/REQUEST';
export type REQUEST_SUCCESS = '@overflow/sensor/read_all_by_target/REQUEST/SUCCESS';
export type REQUEST_FAILURE = '@overflow/sensor/read_all_by_target/REQUEST/FAILURE';

export const REQUEST: REQUEST = '@overflow/sensor/read_all_by_target/REQUEST';
export const REQUEST_SUCCESS: REQUEST_SUCCESS = '@overflow/sensor/read_all_by_target/REQUEST/SUCCESS';
export const REQUEST_FAILURE: REQUEST_FAILURE = '@overflow/sensor/read_all_by_target/REQUEST/FAILURE';

// Action Creater
// export type request = (target: Target) => Action<ReadAllByTargetPayload>;
// export type requestSuccess = (sensors: Sensor[]) => Action<Sensor[]>;
// export type requestFailure = (error: Error) => Action;



// export const request: request = (target: Target): Action<ReadAllByTargetPayload> => {
//   return {
//     type: REQUEST,
//     payload: {
//       target: target,
//     },
//   };
// };

// export const requestSuccess: requestSuccess = (sensors: Sensor[]): Action<Sensor[]> => {
//   return {
//     type: REQUEST_SUCCESS,
//     payload: sensors,
//   };
// };

// export const requestFailure: requestFailure = (error: Error): Action => {
//   return {
//     type: REQUEST_FAILURE,
//     error: error,
//   };
// };
