/**
 * Created by geek on 17. 7. 3.
 */


import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Sensor from '@overflow/sensor/api/model/Sensor';

import * as ReadtActionTypes from '../action/read';
import ReadState, { defaultState as readDefaultState } from '../state/Read';

const reducer: ReducersMapObject = {
  [ReadtActionTypes.REQUEST_SUCCESS]:
  (state: ReadState = readDefaultState, action: Action<Sensor>): ReadState => {
    console.log(action);
    return {
      ...state,
      Sensor:<Sensor>action.payload,
    };
  },
  [ReadtActionTypes.REQUEST_FAILURE]:
  (state: ReadState = readDefaultState, action: Action<Error>): ReadState => {
    return state;
  },
};

export default reducer;
