import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import AsyncRequestSendingPayload from '../payload/AsyncRequestSendingPayload';

import * as AsyncRequestSendingActions from '../action/asyncRequestSending';

import AsyncRequestSendingState, {
  defaultState as AsyncRequestSendingDefaultState,
} from '../state/AsyncRequestSending';

const reducer: ReducersMapObject = {
  [AsyncRequestSendingActions.SENDING]: (state: AsyncRequestSendingState = AsyncRequestSendingDefaultState,
                                         action: Action<AsyncRequestSendingPayload>): AsyncRequestSendingState => {
    return {
      complete: action.payload.complete,
    };
  },
};

export default reducer;
