abstract class Platform {

  public static getAppContainer(containerId: string): Promise<HTMLElement> {
    const appContainer = new Promise<HTMLElement>(resolve => {
      document.addEventListener('DOMContentLoaded', () => {
        resolve(document.getElementById(containerId));
      });
    });

    return appContainer;
  }

}

export default Platform;
