import Notification from './Notification';

export class Request<ID> extends Notification {
  protected id: ID;

  public constructor(id: ID, method: string, params?: any) {
    super(method, params);
    this.id = id;
  }

  /**
   * getID
   */
  public get ID(): ID {
    return this.id;
  }

}

export default Request;
