/**
 * Created by geek on 17. 7. 3.
 */
import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Member from '@overflow/member/api/model/Member';

import * as ModifyActionTypes from '../action/modify';
import ModifyState, { defaultState as modifyDefaultState } from '../state/Modify';

const reducer: ReducersMapObject = {
  [ModifyActionTypes.REQUEST_SUCCESS]: (state: ModifyState = modifyDefaultState, action: Action<Member>): ModifyState => {
    return {
      ...state,
      member: <Member>action.payload,
    };
  },
  [ModifyActionTypes.REQUEST_FAILURE]: (state: ModifyState = modifyDefaultState, action: Action<Error>): ModifyState => {

    return {
      ...state,
      error: new Error('SigninIdPwNotMatch'),
    };
  },
};

export default reducer;
