import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Member from '@overflow/member/api/model/Member';

import * as SignOutActionTypes from '../action/signOut';
import SignOutState, { defaultState as signOutDefaultState } from '../state/SignOut';

const reducer: ReducersMapObject = {
  [SignOutActionTypes.REQUEST_SUCCESS]: (state: SignOutState = signOutDefaultState, action: Action<Member>): SignOutState => {
    return state;
  },
  [SignOutActionTypes.REQUEST_FAILURE]: (state: SignOutState = signOutDefaultState, action: Action<Error>): SignOutState => {
    return state;
  },
};

export default reducer;
