
import MetaInfraType from './MetaInfraType';

interface MetaInfraVendor {
  id?: number;
  name: string;
  createDate: Date;
  infraType: MetaInfraType;
}

export enum MetaInfraVendor_Machine_ID {
  APPLE = 1,
  MICROSOFT = 2,
  ASUS = 3,
  HP = 4,
  DELL = 5,
  LENOVO = 6,
  ACER = 7,
  SAMSUNG = 8,
  LG = 9,
  CISCO = 10,
}

export enum MetaInfraVendor_HOST_ID {
  Windows = 11,
  Linux = 12,
  MacOS = 13,
  Ubuntu = 14,
  CentOS = 15,
  Fedora = 16,
  RedHat = 17,
  Debian = 18,
  SUSE = 19,
  CoreOS = 20,
  AmazonLinux = 21,
  Kubernetes = 22,
  Docker = 23,
  iOS = 24,
  Android = 25,
}

export enum MetaInfraVendor_OS_ID {
  Windows = 26,
  MacOS = 27,
  Ubuntu = 28,
  CentOS = 29,
  Fedora = 30,
  RedHat = 31,
  Debian = 32,
  SUSE = 33,
  CoreOS = 34,
  AmazonLinux = 35,
  Kubernetes = 36,
  Docker = 37,
  iOS = 38,
  Android = 39,
}

export enum MetaInfraVendor_SERVICE_ID {
  MySql = 40,
  PostgreSQL = 41,
  WMI = 42,
  SNMP_V2 = 43,
  UNKNOWN = 44,
}

export default MetaInfraVendor;
