/**
 * Created by geek on 17. 7. 3.
 */

import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import MetaCrawlerInputItem from '../../api/model/MetaCrawlerInputItem';

import * as CrawlerAuthInputsActions from '../action/crawler_auth_inputs';
import CrawlerAuthInputsState, { defaultState as CrawlerAuthInputsDefaultState } from '../state/CrawlerAuthInputs';

import MetaCrawler from '../../api/model/MetaCrawler';

const reducer: ReducersMapObject = {
  [CrawlerAuthInputsActions.REQUEST_SUCCESS]:
  (state: CrawlerAuthInputsState = CrawlerAuthInputsDefaultState, action: Action<MetaCrawlerInputItem[]>): CrawlerAuthInputsState => {
    console.log(action);
    return {
      ...state,
      MetaCrawlerInputItemList:<MetaCrawlerInputItem[]>action.payload,
    };
  },
  [CrawlerAuthInputsActions.REQUEST_FAILURE]:
  (state: CrawlerAuthInputsState = CrawlerAuthInputsDefaultState, action: Action<Error>): CrawlerAuthInputsState => {
    return state;
  },
};

export default reducer;
