
import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import SensorItem from '@overflow/sensor/api/model/SensorItem';

import * as SensorItemReadAllActions from '../action/sensor_item_read_all';
import SensorItemReadAllState, { defaultState as SensorItemReadAllDefaultState } from '../state/SensorItemReadAll';

import MetaSensorItem from '../../api/model/MetaSensorItem';

const reducer: ReducersMapObject = {
  [SensorItemReadAllActions.REQUEST_SUCCESS]:
  (state: SensorItemReadAllState = SensorItemReadAllDefaultState, action: Action<MetaSensorItem[]>):
   SensorItemReadAllState => {
    console.log(action);
    return {
      ...state,
      MetaSensorItemList: <MetaSensorItem[]>action.payload,
    };
  },
  [SensorItemReadAllActions.REQUEST_FAILURE]:
  (state: SensorItemReadAllState = SensorItemReadAllDefaultState, action: Action<Error>):
   SensorItemReadAllState => {
    return state;
  },
};

export default reducer;
