
import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import SensorItem from '@overflow/sensor/api/model/SensorItem';

import * as SensorItemTypeReadAllActions from '../action/sensor_item_type_read_all';
import SensorItemTypeReadAllState, { defaultState as SensorItemTypeReadAllDefaultState } from '../state/SensorItemTypeReadAll';

import MetaSensorItemType from '../../api/model/MetaSensorItemType';

const reducer: ReducersMapObject = {
  [SensorItemTypeReadAllActions.REQUEST_SUCCESS]:
  (state: SensorItemTypeReadAllState = SensorItemTypeReadAllDefaultState, action: Action<MetaSensorItemType[]>):
   SensorItemTypeReadAllState => {
    console.log(action);
    return {
      ...state,
      MetaSensorItemTypeList: <MetaSensorItemType[]>action.payload,
    };
  },
  [SensorItemTypeReadAllActions.REQUEST_FAILURE]:
  (state: SensorItemTypeReadAllState = SensorItemTypeReadAllDefaultState, action: Action<Error>):
   SensorItemTypeReadAllState => {
    return state;
  },
};

export default reducer;
