import MetaProbeStatus from '@overflow/meta/api/model/MetaProbeStatus';
import Domain from '@overflow/domain/api/model/Domain';
import Member from '@overflow/member/api/model/Member';
import InfraHost from '@overflow/infra/api/model/InfraHost';

interface Probe {
  id?: number;
  status?: MetaProbeStatus; // INITIAL / NORMAL
  description?: string;
  createDate?: Date;
  domain?: Domain;
  probeKey?: string;
  encryptionKey?: string;
  targetCount?: number;
  sensorCount?: number;
  displayName?: string;
  cidr?: string;
  authorizeDate?: Date;
  authorizeMember?: Member;
  host?: InfraHost;
}

export default Probe;
