import Probe from './Probe';
import MetaProbeTaskType from '@overflow/meta/api/model/MetaProbeTaskType';

interface ProbeTask {
  id?: number;
  taskType: MetaProbeTaskType;
  probe: Probe;
  data: string;
  createDate: Date;
  sendDate: Date;
  startDate: Date;
  endDate: Date;
  succeed: boolean;
}

export default ProbeTask;
