import { connect, Dispatch } from 'react-redux';
import {
    TargetChild,
    StateProps as StateProps,
    DispatchProps as DispatchProps,
    Props as Props,
} from './components/TargetChild';

import * as HostReadActions from '@overflow/infra/redux/action/host_read';
import * as MachineReadActions from '@overflow/infra/redux/action/machine_read';
import * as OSReadActions from '@overflow/infra/redux/action/os_read';
import * as ServiceReadActions from '@overflow/infra/redux/action/service_read';
import * as ApplicationReadActions from '@overflow/infra/redux/action/os_application_read';
import * as DaemonReadActions from '@overflow/infra/redux/action/os_daemon_read';
import * as PortReadActions from '@overflow/infra/redux/action/os_port_read';

import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';

export function mapStateToProps(state: any, props: any): StateProps {
    return {
        infra: props.infra,
        // machine: state.machine,
        // host: state.host,
        // os: state.os,
        // osApplication: state.osApplication,
        // osDaemon: state.osDaemon,
        // osPort: state.osPort,
        // service: state.service,
    };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): DispatchProps {
    return {
        // onReadInfraMachine: (id: string) => {
        //     dispatch(asyncRequestActions.request('InfraMachineService', 'read', MachineReadActions.REQUEST, id));
        // },
        // onReadInfraHost: (id: string) => {
        //     dispatch(asyncRequestActions.request('InfraHostService', 'read', HostReadActions.REQUEST, id));
        // },
        // onReadInfraOS: (id: string) => {
        //     dispatch(asyncRequestActions.request('InfraOSService', 'read', OSReadActions.REQUEST, id));
        // },
        // onReadInfraOSApplication: (id: string) => {
        //     dispatch(asyncRequestActions.request('InfraOSApplicationService', 'read', ApplicationReadActions.REQUEST, id));
        // },
        // onReadInfraOSDaemon: (id: string) => {
        //     dispatch(asyncRequestActions.request('InfraOSDaemonService', 'read', DaemonReadActions.REQUEST, id));
        // },
        // onReadInfraOSPort: (id: string) => {
        //     dispatch(asyncRequestActions.request('InfraOSPortService', 'read', PortReadActions.REQUEST, id));
        // },
        // onReadInfraService: (id: string) => {
        //     dispatch(asyncRequestActions.request('InfraServiceService', 'read', ServiceReadActions.REQUEST, id));
        // },
    };
}

export default connect(mapStateToProps, mapDispatchToProps)(TargetChild);
