import { connect, Dispatch } from 'react-redux';
import {
  TableSort,
  StateProps as StateProps,
  DispatchProps as DispatchProps,
} from './TableSort';

import { push as routerPush } from 'react-router-redux';


export function mapStateToProps(state: any): StateProps {
  return {
    jsonObj:state,
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): DispatchProps {
  return {
    onBodyRowClick: (row: any) => {
      console.log(row);
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(TableSort);
